package com.bawei.es.service;

import java.util.Map;

public interface EsIndexService {
    boolean findIndex(String indexName);

    boolean createIndex(String indexName,Map<String,Object> docMsg);

    boolean deleteIndex(String indexName);

    Map<String, Object> getMapping(String indexName);

    boolean updateIndex(String indexName, Map<String, Object> docMsg);
}
